﻿@model eCommerce.Services.Model.Transaction
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Movimiento entre Cuentas";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Movimiento entre Cuentas</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("TransferenceUpdate", "Transactions", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Fecha:</label>
                            <div class="col-sm-3">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="icon wb-calendar" aria-hidden="true"></i>
                                    </span>
                                    <input type="text" class="form-control" name="Date" value="@(Model.Date != DateTime.MinValue ? Model.Date.ToShortDateString() : DateTime.Today.ToShortDateString())" data-plugin="datepicker" />
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Cuenta Origen:</label>
                            <div class="col-sm-4">
                                <select class="form-control" name="OriginAccountId" id="OriginAccountId" data-plugin="select2">
                                    <option value=""></option>
                                    @if (TempData["OriginAccounts"] != null)
                                    {
                                        foreach (var item in (SelectList)TempData["OriginAccounts"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Cuenta Destino:</label>
                            <div class="col-sm-4">
                                <select class="form-control" name="DestinationAccountId" id="DestinationAccountId" data-plugin="select2">
                                    <option value=""></option>
                                    @if (TempData["DestinationAccounts"] != null)
                                    {
                                        foreach (var item in (SelectList)TempData["DestinationAccounts"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Concepto:</label>
                            <div class="col-sm-4">
                                <select class="form-control" name="TransactionCategoryId" id="TransactionCategoryId" data-plugin="select2">
                                    <option value="13" selected="selected">Movimiento entre Cuentas</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Moneda:</label>
                            <div class="col-sm-4">
                                <select class="form-control" name="CurrencyId" id="CurrencyId" data-plugin="select2">
                                    <option value="@((int)CurrencyEnum.Peso)">Peso</option>
                                    <option value="@((int)CurrencyEnum.Dolar)">Dolar</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Monto:</label>
                            <div class="col-sm-2">
                                <div class="input-group">
                                    <span class="input-group-addon">$</span>
                                    <input type="text" class="form-control currency" name="Amount" placeholder="0,00" value="@(Model.Amount != 0 ? Model.Amount.ToString() : string.Empty)">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Observaciones:</label>
                            <div class="col-sm-9">
                                <textarea class="form-control" name="Observations" rows="2">@Model.Observations</textarea>
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/Transactions'">Cancelar</button>
                            @Html.HiddenFor(model => model.TransactionId)
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Date: {
                        validators: {
                            notEmpty: {
                                message: 'El campo es requerido.'
                            }
                        }
                    },
                    OriginAccountId: {
                        validators: {
                            notEmpty: {
                                message: 'El campo es requerido.'
                            }
                        }
                    },
                    DestinationAccountId: {
                        validators: {
                            notEmpty: {
                                message: 'El campo es requerido.'
                            }
                        }
                    },
                    Amount: {
                        validators: {
                            notEmpty: {
                                message: 'El campo es requerido.'
                            }
                        }
                    }
                }
            });
        })();

        $(document).ready(function () {
            $(".currency").number(true, 2, ',', '.');
        });

    </script>
}

